<div class="wrap">
    <h1><?php echo esc_html(get_admin_page_title()); ?></h1>
    
    <div class="krt-container">
        <div class="krt-intro">
            <p><?php _e('Use this tool to research keywords for your content. Enter a seed keyword to get started.', 'keyword-research-tool'); ?></p>
        </div>
        
        <div class="krt-search-form">
            <input type="text" id="krt-search-input" placeholder="<?php _e('Enter a keyword...', 'keyword-research-tool'); ?>">
            <button id="krt-search-button" class="button button-primary"><?php _e('Search', 'keyword-research-tool'); ?></button>
        </div>
        
        <div class="krt-loading" style="display: none;">
            <span class="spinner is-active"></span>
            <p><?php _e('Searching for keywords...', 'keyword-research-tool'); ?></p>
        </div>
        
        <div class="krt-results" style="display: none;">
            <h2><?php _e('Keyword Results', 'keyword-research-tool'); ?></h2>
            
            <table class="widefat striped">
                <thead>
                    <tr>
                        <th><?php _e('Keyword', 'keyword-research-tool'); ?></th>
                        <th><?php _e('Search Volume', 'keyword-research-tool'); ?></th>
                        <th><?php _e('Difficulty', 'keyword-research-tool'); ?></th>
                        <th><?php _e('CPC ($)', 'keyword-research-tool'); ?></th>
                        <th><?php _e('Source', 'keyword-research-tool'); ?></th>
                        <th><?php _e('Actions', 'keyword-research-tool'); ?></th>
                    </tr>
                </thead>
                <tbody id="krt-results-body">
                    <!-- Results will be inserted here -->
                </tbody>
            </table>
            
            <div class="krt-export">
                <button id="krt-export-csv" class="button"><?php _e('Export to CSV', 'keyword-research-tool'); ?></button>
            </div>
        </div>
        
        <div class="krt-error" style="display: none;">
            <p></p>
        </div>
    </div>
</div>